#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hualien4.30_base.ps
projection=-JM16.0c+
region=-R121.0/121.9/23.5/24.5
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map hualien4.30' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    24.125   121.639
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    23.718   121.529
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    24.050   121.536
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    24.294   121.445
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    23.900   121.053
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    24.270   121.490
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    23.908   121.538
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    23.574   121.376
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    23.725   121.452
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    24.268   121.675
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    23.708   121.685
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    23.637   121.657
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    23.902   121.523
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    24.244   121.830
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    23.906   121.671
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    24.233   121.803
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    24.183   121.716
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    24.164   121.702
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    24.138   121.713
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    24.186   121.706
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    24.121   121.646
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    23.986   121.626
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    24.121   121.717
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    24.057   121.643
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    24.000   121.678
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    24.060   121.710
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    24.043   121.544
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    23.986   121.560
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    24.062   121.567
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    23.686   121.561
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    23.680   121.504
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    23.844   121.521
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    23.853   121.523
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    24.385   121.376
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    23.876   121.490
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    23.864   121.490
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    23.905   121.525
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    23.899   121.530
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    23.891   121.582
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    23.885   121.585
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    23.946   121.591
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    23.687   121.449
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    23.641   121.417
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    23.630   121.411
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    23.556   121.527
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    23.837   121.584
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    23.771   121.567
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    23.820   121.743
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    24.030   121.540
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    24.039   121.534
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    23.860   121.530
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    24.068   121.643
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    24.211   121.676
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    24.192   121.655
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    24.230   121.481
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    24.017   121.598
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    23.838   121.729
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    23.812   121.813
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    23.851   121.505
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    24.160   121.834
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    24.212   121.678
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    24.180   121.692
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    23.833   121.528
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    23.816   121.707
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    24.246   121.643
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    24.162   121.579
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.125   121.639
    24.125   121.639
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.101   121.710
    24.125   121.639
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.718   121.529
    23.718   121.529
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.692   121.600
    23.718   121.529
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.050   121.536
    24.050   121.536
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.029   121.582
    24.050   121.536
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.294   121.442
    24.294   121.445
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.288   121.504
    24.294   121.445
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.900   121.055
    23.900   121.053
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.882   121.135
    23.900   121.053
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.270   121.491
    24.270   121.490
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.275   121.523
    24.270   121.490
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.908   121.537
    23.908   121.538
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.874   121.602
    23.908   121.538
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.573   121.377
    23.574   121.376
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.544   121.458
    23.574   121.376
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.725   121.452
    23.725   121.452
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.722   121.469
    23.725   121.452
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.268   121.675
    24.268   121.675
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.257   121.729
    24.268   121.675
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.709   121.684
    23.708   121.685
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.713   121.716
    23.708   121.685
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.637   121.657
    23.637   121.657
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.642   121.711
    23.637   121.657
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.902   121.523
    23.902   121.523
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.893   121.546
    23.902   121.523
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.245   121.829
    24.244   121.830
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.225   121.883
    24.244   121.830
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.906   121.671
    23.906   121.671
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.888   121.709
    23.906   121.671
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.233   121.803
    24.233   121.803
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.238   121.822
    24.233   121.803
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.184   121.716
    24.183   121.716
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.185   121.745
    24.183   121.716
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.163   121.702
    24.164   121.702
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.159   121.717
    24.164   121.702
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.138   121.712
    24.138   121.713
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.138   121.726
    24.138   121.713
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.186   121.705
    24.186   121.706
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.174   121.727
    24.186   121.706
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.121   121.646
    24.121   121.646
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.114   121.727
    24.121   121.646
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.986   121.626
    23.986   121.626
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.974   121.632
    23.986   121.626
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.122   121.716
    24.121   121.717
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.100   121.783
    24.121   121.717
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.057   121.643
    24.057   121.643
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.037   121.734
    24.057   121.643
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.001   121.678
    24.000   121.678
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.977   121.767
    24.000   121.678
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.061   121.710
    24.060   121.710
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.048   121.734
    24.060   121.710
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.043   121.544
    24.043   121.544
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.030   121.564
    24.043   121.544
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.986   121.559
    23.986   121.560
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.966   121.600
    23.986   121.560
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.062   121.567
    24.062   121.567
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.053   121.620
    24.062   121.567
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.685   121.560
    23.686   121.561
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.662   121.599
    23.686   121.561
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.680   121.504
    23.680   121.504
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.665   121.556
    23.680   121.504
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.844   121.521
    23.844   121.521
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.831   121.581
    23.844   121.521
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.853   121.523
    23.853   121.523
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.829   121.566
    23.853   121.523
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.385   121.375
    24.385   121.376
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.385   121.422
    24.385   121.376
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.876   121.490
    23.876   121.490
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.868   121.529
    23.876   121.490
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.864   121.490
    23.864   121.490
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.861   121.557
    23.864   121.490
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.905   121.524
    23.905   121.525
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.884   121.583
    23.905   121.525
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.899   121.530
    23.899   121.530
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.874   121.593
    23.899   121.530
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.891   121.581
    23.891   121.582
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.863   121.646
    23.891   121.582
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.885   121.585
    23.885   121.585
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.860   121.625
    23.885   121.585
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.946   121.591
    23.946   121.591
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.923   121.636
    23.946   121.591
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.687   121.449
    23.687   121.449
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.654   121.473
    23.687   121.449
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.641   121.417
    23.641   121.417
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.642   121.404
    23.641   121.417
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.630   121.411
    23.630   121.411
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.621   121.417
    23.630   121.411
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.556   121.526
    23.556   121.527
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.514   121.624
    23.556   121.527
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.837   121.583
    23.837   121.584
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.820   121.697
    23.837   121.584
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.769   121.567
    23.771   121.567
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.726   121.650
    23.771   121.567
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.820   121.744
    23.820   121.743
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.770   121.812
    23.820   121.743
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.030   121.541
    24.030   121.540
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.018   121.548
    24.030   121.540
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.040   121.534
    24.039   121.534
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.018   121.615
    24.039   121.534
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.860   121.531
    23.860   121.530
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.819   121.562
    23.860   121.530
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.067   121.644
    24.068   121.643
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.064   121.672
    24.068   121.643
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.211   121.676
    24.211   121.676
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.175   121.780
    24.211   121.676
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.191   121.654
    24.192   121.655
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.155   121.780
    24.192   121.655
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.232   121.480
    24.230   121.481
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.100   121.700
    24.230   121.481
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.017   121.598
    24.017   121.598
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.968   121.736
    24.017   121.598
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.837   121.730
    23.838   121.729
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.812   121.758
    23.838   121.729
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.811   121.813
    23.812   121.813
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.110   121.560
    23.812   121.813
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.851   121.506
    23.851   121.505
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.768   121.651
    23.851   121.505
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.159   121.835
    24.160   121.834
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.184   121.963
    24.160   121.834
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.213   121.675
    24.212   121.678
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.287   121.856
    24.212   121.678
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.179   121.691
    24.180   121.692
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.137   121.853
    24.180   121.692
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.832   121.528
    23.833   121.528
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.785   121.645
    23.833   121.528
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.815   121.707
    23.816   121.707
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.794   121.826
    23.816   121.707
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.246   121.643
    24.246   121.643
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.269   121.812
    24.246   121.643
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.162   121.577
    24.162   121.579
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.120   121.829
    24.162   121.579
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    24.125   121.639    32.808     0.833     1.139
    23.718   121.529    35.564     0.890     1.206
    24.050   121.536    27.619     0.790     1.155
    24.294   121.445    10.039     0.767     1.032
    23.900   121.053    39.791     0.798     1.064
    24.270   121.490    19.583     0.825     1.161
    23.908   121.538    32.171     0.785     1.177
    23.574   121.376    29.750     0.924     1.147
    23.725   121.452    25.200     0.791     1.045
    24.268   121.675    38.976     0.892     1.226
    23.708   121.685    27.293     0.820     1.115
    23.637   121.657    21.666     0.883     1.168
    23.902   121.523    33.933     0.665     0.949
    24.244   121.830    41.745     0.714     1.000
    23.906   121.671    25.429     1.001     1.301
    24.233   121.803    31.936     0.808     1.137
    24.183   121.716    36.739     0.634     0.960
    24.164   121.702    38.234     0.722     1.072
    24.138   121.713    39.025     0.641     0.989
    24.186   121.706    37.809     0.656     1.004
    24.121   121.646    39.822     0.741     1.047
    23.986   121.626    27.687     0.600     0.833
    24.121   121.717    39.570     0.737     0.982
    24.057   121.643    40.066     0.858     1.225
    24.000   121.678    35.057     0.930     1.255
    24.060   121.710    42.525     0.726     0.968
    24.043   121.544    31.001     0.682     1.047
    23.986   121.560    31.828     0.642     0.955
    24.062   121.567    30.988     0.574     0.847
    23.686   121.561    34.344     0.993     1.269
    23.680   121.504    38.908     0.747     0.972
    23.844   121.521    36.230     0.607     0.799
    23.853   121.523    28.285     0.644     0.946
    24.385   121.376    11.198     0.623     0.987
    23.876   121.490    22.303     0.601     0.855
    23.864   121.490    16.834     0.595     0.842
    23.905   121.525    17.717     0.686     1.020
    23.899   121.530    19.865     0.764     1.076
    23.891   121.582    22.957     0.662     0.939
    23.885   121.585    30.176     0.744     1.022
    23.946   121.591    25.941     0.667     0.954
    23.687   121.449    15.208     0.657     0.917
    23.641   121.417    23.488     0.688     1.111
    23.630   121.411    24.658     0.732     1.203
    23.556   121.527     0.167     2.258     2.679
    23.837   121.584    14.836     1.756     2.202
    23.771   121.567    -7.330     1.600     2.161
    23.820   121.743    -3.392     1.366     1.555
    24.030   121.540    13.021     1.887     3.208
    24.039   121.534    13.056     2.966     3.968
    23.860   121.530    -9.259     1.354     1.612
    24.068   121.643    -0.698     1.689     2.317
    24.211   121.676   -11.125     3.599     4.864
    24.192   121.655     2.088     3.819     5.360
    24.230   121.481   -80.966     0.703     6.552
    24.017   121.598    -9.628     3.540     4.921
    23.838   121.729    15.645     2.932     3.921
    23.812   121.813    34.870     4.647     5.479
    23.851   121.505     4.401     3.915     6.003
    24.160   121.834   -10.480     2.194     3.134
    24.212   121.678   -75.225     2.964     4.968
    24.180   121.692    -9.058     4.301     6.107
    23.833   121.528    15.860     2.446     3.491
    23.816   121.707    16.723     2.960     3.928
    24.246   121.643    18.053     4.257     5.255
    24.162   121.579   -79.924     1.345     5.371
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    23.860   121.530     0.300
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    24.068   121.643     0.200
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    23.510   121.012    20.533     0.950     1.453
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    23.510   121.035   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    23.510   121.012     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    23.510   121.012     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    23.465   121.012   5 km
END
