#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hualien4.30_rdp_004.ps
projection=-JX18/12
region=-R1/33/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases hualien4.30 Event 004' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.496     1.000
     2.061     2.000
     1.635     3.000
     1.221     4.000
     0.837     5.000
     0.550     6.000
     0.395     7.000
     0.314     8.000
     0.349     9.000
     0.487    10.000
     0.644    11.000
     0.866    12.000
     1.137    13.000
     1.442    14.000
     1.745    15.000
     2.109    16.000
     2.588    17.000
     2.969    18.000
     3.294    19.000
     3.618    20.000
     3.749    21.000
     4.034    22.000
     4.319    23.000
     4.605    24.000
     4.892    25.000
     5.179    26.000
     5.467    27.000
     5.756    28.000
     6.046    29.000
     6.334    30.000
     6.621    31.000
     6.910    32.000
     7.198    33.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     6.001     1.000
     4.908     2.000
     3.822     3.000
     2.737     4.000
     1.701     5.000
     0.982     6.000
     0.900     7.000
     0.714     8.000
     0.658     9.000
     1.056    10.000
     1.394    11.000
     1.853    12.000
     2.460    13.000
     3.276    14.000
     4.063    15.000
     4.939    16.000
     6.151    17.000
     7.103    18.000
     7.912    19.000
     8.719    20.000
     9.009    21.000
     9.717    22.000
    10.425    23.000
    11.134    24.000
    11.843    25.000
    12.553    26.000
    13.263    27.000
    13.976    28.000
    14.690    29.000
    15.397    30.000
    16.103    31.000
    16.810    32.000
    17.519    33.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.454     5.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.354     5.000
     4.354     5.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.354     5.000
     4.354     9.000
     2.354     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.354     5.000
     4.354     1.000
     2.354     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     8.000
     2.354     8.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.354     4.000
     2.354    13.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     4.000
     2.354     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    13.000
     2.354    13.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20130307.0336.47
    10.560     2.000 Depth of minimum misfit =   8 km on  6 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
