#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hualien4.30_rdp_024.ps
projection=-JX18/12
region=-R1/33/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases hualien4.30 Event 024' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     3.001     1.000
     2.570     2.000
     2.144     3.000
     1.724     4.000
     1.314     5.000
     0.930     6.000
     0.619     7.000
     0.343     8.000
     0.083     9.000
     0.349    10.000
     0.428    11.000
     0.685    12.000
     1.087    13.000
     1.368    14.000
     1.652    15.000
     1.926    16.000
     2.220    17.000
     2.518    18.000
     2.818    19.000
     3.122    20.000
     3.380    21.000
     3.643    22.000
     3.905    23.000
     4.171    24.000
     4.520    25.000
     4.783    26.000
     5.297    27.000
     5.563    28.000
     5.829    29.000
     6.201    30.000
     6.470    31.000
     6.739    32.000
     7.007    33.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     5.911     1.000
     5.033     2.000
     4.161     3.000
     3.288     4.000
     2.414     5.000
     1.541     6.000
     1.030     7.000
     0.646     8.000
     0.142     9.000
     0.639    10.000
     0.787    11.000
     1.052    12.000
     1.843    13.000
     2.480    14.000
     3.097    15.000
     3.680    16.000
     4.293    17.000
     4.908    18.000
     5.523    19.000
     6.142    20.000
     6.667    21.000
     7.199    22.000
     7.729    23.000
     8.267    24.000
     8.996    25.000
     9.524    26.000
    10.536    27.000
    11.069    28.000
    11.603    29.000
    12.343    30.000
    12.881    31.000
    13.420    32.000
    13.959    33.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.882    11.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.782    11.000
     3.782    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.782    11.000
     3.782    14.000
     1.782    14.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.782    11.000
     3.782     8.000
     1.782     8.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     9.000
     1.782     9.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.782     5.000
     1.782    13.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     5.000
     1.782     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    13.000
     1.782    13.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20180206.1807.40
     9.680     2.000 Depth of minimum misfit =   9 km on  4 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
