#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hualien4.30_rdp_044.ps
projection=-JX18/12
region=-R1/32/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases hualien4.30 Event 044' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.328     1.000
     1.898     2.000
     1.478     3.000
     1.075     4.000
     0.720     5.000
     0.470     6.000
     0.282     7.000
     0.316     8.000
     0.482     9.000
     0.591    10.000
     0.791    11.000
     1.068    12.000
     1.353    13.000
     1.656    14.000
     1.972    15.000
     2.293    16.000
     2.604    17.000
     2.926    18.000
     3.240    19.000
     3.555    20.000
     3.828    21.000
     4.118    22.000
     4.473    23.000
     4.749    24.000
     5.024    25.000
     5.300    26.000
     5.566    27.000
     5.840    28.000
     6.114    29.000
     6.470    30.000
     6.743    31.000
     7.092    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     6.410     1.000
     5.155     2.000
     3.906     3.000
     2.656     4.000
     1.576     5.000
     1.088     6.000
     0.633     7.000
     0.797     8.000
     1.222     9.000
     1.443    10.000
     1.763    11.000
     2.629    12.000
     3.529    13.000
     4.448    14.000
     5.384    15.000
     6.324    16.000
     7.224    17.000
     8.160    18.000
     9.061    19.000
     9.965    20.000
    10.745    21.000
    11.566    22.000
    12.548    23.000
    13.339    24.000
    14.124    25.000
    14.909    26.000
    15.666    27.000
    16.447    28.000
    17.227    29.000
    18.209    30.000
    18.987    31.000
    19.978    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.373    15.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.273    15.000
     4.273    15.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.273    15.000
     4.273    18.000
     2.273    18.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.273    15.000
     4.273    12.000
     2.273    12.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     2.273     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.273     4.000
     2.273    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     4.000
     2.273     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     2.273    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20220625.1334.35
    10.560     2.000 Depth of minimum misfit =   7 km on  8 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
