#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hualien4.30_sel1.ps
projection=-JM16.0c+
region=-R121.4/121.9/23.7/24.3
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map hualien4.30' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    23.860   121.530
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    24.068   121.643
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    24.211   121.676
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    24.192   121.655
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    24.230   121.481
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    24.017   121.598
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    23.838   121.729
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    23.812   121.813
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    23.851   121.505
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    24.160   121.834
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    24.212   121.678
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    24.180   121.692
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    23.833   121.528
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    23.816   121.707
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    24.246   121.643
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    24.162   121.579
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.860   121.531
    23.860   121.530
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.819   121.562
    23.860   121.530
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.067   121.644
    24.068   121.643
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.064   121.672
    24.068   121.643
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.211   121.676
    24.211   121.676
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.175   121.780
    24.211   121.676
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.191   121.654
    24.192   121.655
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.155   121.780
    24.192   121.655
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.232   121.480
    24.230   121.481
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.100   121.700
    24.230   121.481
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.017   121.598
    24.017   121.598
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.968   121.736
    24.017   121.598
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.837   121.730
    23.838   121.729
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.812   121.758
    23.838   121.729
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.811   121.813
    23.812   121.813
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.110   121.560
    23.812   121.813
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.851   121.506
    23.851   121.505
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.768   121.651
    23.851   121.505
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.159   121.835
    24.160   121.834
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.184   121.963
    24.160   121.834
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.213   121.675
    24.212   121.678
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.287   121.856
    24.212   121.678
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.179   121.691
    24.180   121.692
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.137   121.853
    24.180   121.692
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.832   121.528
    23.833   121.528
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.785   121.645
    23.833   121.528
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.815   121.707
    23.816   121.707
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.794   121.826
    23.816   121.707
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.246   121.643
    24.246   121.643
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.269   121.812
    24.246   121.643
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.162   121.577
    24.162   121.579
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.120   121.829
    24.162   121.579
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    23.860   121.530    -9.259     1.354     1.612
    24.068   121.643    -0.698     1.689     2.317
    24.211   121.676   -11.125     3.599     4.864
    24.192   121.655     2.088     3.819     5.360
    24.230   121.481   -80.966     0.703     6.552
    24.017   121.598    -9.628     3.540     4.921
    23.838   121.729    15.645     2.932     3.921
    23.812   121.813    34.870     4.647     5.479
    23.851   121.505     4.401     3.915     6.003
    24.160   121.834   -10.480     2.194     3.134
    24.212   121.678   -75.225     2.964     4.968
    24.180   121.692    -9.058     4.301     6.107
    23.833   121.528    15.860     2.446     3.491
    23.816   121.707    16.723     2.960     3.928
    24.246   121.643    18.053     4.257     5.255
    24.162   121.579   -79.924     1.345     5.371
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    23.860   121.530     0.300
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    24.068   121.643     0.200
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    23.765   121.439    20.533     0.950     1.453
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    23.765   121.462   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    23.765   121.439     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    23.765   121.439     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    23.720   121.439   5 km
END
