#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hualien4.30_dcal.ps
projection=-JM16.0c+
region=-R119.0/123.9/21.7/26.3
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration hualien4.30' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.750
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.750
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.449   121.810
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.449   121.810
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.125   121.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.199   121.294
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.718   121.529
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.750
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.750
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.050   121.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.777   121.503
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.777   121.503
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.646   121.016
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.646   121.016
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.853   121.252
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.853   121.252
    24.294   121.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.900   121.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.750
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.750
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.646   121.016
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.646   121.016
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.270   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.750
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.750
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.908   121.538
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.574   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.199   121.294
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.199   121.294
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.725   121.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.449   121.810
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.449   121.810
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.777   121.503
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.777   121.503
    24.268   121.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.708   121.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.199   121.294
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.637   121.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.902   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.244   121.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.906   121.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.760   121.588
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.760   121.588
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.233   121.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.419   122.232
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.760   121.588
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.760   121.588
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.183   121.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.419   122.232
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.121   122.318
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.286   122.317
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.164   121.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.419   122.232
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.138   121.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.419   122.232
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.286   122.317
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.760   121.588
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.760   121.588
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.186   121.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    24.121   121.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    23.986   121.626
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.419   122.232
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.121   121.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.057   121.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.121   122.318
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    24.000   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.060   121.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.576   121.844
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    24.043   121.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.986   121.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    24.062   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.192   121.396
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.199   121.294
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.686   121.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.192   121.396
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.199   121.294
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.149   121.206
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.680   121.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.844   121.521
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.853   121.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.535   121.526
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.603   121.513
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.634   121.716
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.632   121.118
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.632   121.118
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.777   121.503
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.777   121.503
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.760   121.588
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.760   121.588
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.721   121.667
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.609   121.849
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.777   121.176
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.646   121.016
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.766   121.748
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.792   120.985
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.975   121.488
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.975   121.488
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.975   121.488
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.975   121.488
    24.385   121.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.876   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.864   121.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.905   121.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.899   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.891   121.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.445   121.778
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.885   121.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.329   121.739
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.741
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.946   121.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.192   121.396
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.199   121.294
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.149   121.206
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.149   121.206
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.687   121.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.192   121.396
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.199   121.294
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.149   121.206
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.149   121.206
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.095   121.219
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.641   121.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.718   121.386
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.494   121.345
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   121.563
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.316   121.451
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.021   121.413
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.192   121.396
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.199   121.294
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.149   121.206
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.149   121.206
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.095   121.219
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.095   121.219
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.630   121.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.556   121.527
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.556   121.527
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.837   121.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.837   121.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.837   121.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.837   121.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.837   121.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.837   121.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.837   121.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.837   121.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.837   121.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.771   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.771   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.771   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.771   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.771   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.771   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.771   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.771   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.771   121.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.820   121.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.820   121.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.820   121.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.820   121.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.820   121.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.820   121.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.820   121.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.030   121.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.030   121.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.039   121.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.039   121.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.039   121.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.039   121.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.860   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.860   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.860   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.860   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.860   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.860   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.860   121.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.211   121.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.230   121.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.838   121.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.838   121.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.851   121.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.212   121.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.833   121.528
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.816   121.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.670   121.376
    24.162   121.579
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    24.080   121.596     0.300
    24.174   121.595     0.300
    23.977   121.605     0.300
    23.904   121.602     0.300
    24.428   121.741     0.300
    24.428   121.750     0.300
    24.449   121.810     0.300
    23.814   121.433     0.300
    24.145   121.265     0.300
    24.428   121.383     0.300
    24.428   121.383     0.300
    24.440   121.373     0.300
    24.060   121.174     0.300
    23.955   121.176     0.300
    24.253   121.176     0.300
    24.609   121.849     0.300
    24.253   121.158     0.300
    24.640   121.566     0.300
    24.721   121.667     0.300
    24.670   121.376     0.300
    23.669   121.427     0.300
    23.492   121.424     0.300
    23.506   121.322     0.300
    23.392   121.297     0.300
    23.754   121.141     0.300
    23.352   121.297     0.300
    23.199   121.294     0.300
    23.788   120.954     0.300
    23.883   120.900     0.300
    24.033   120.926     0.300
    24.207   121.482     0.300
    24.603   121.513     0.300
    24.676   121.358     0.300
    24.777   121.503     0.300
    24.278   120.946     0.300
    24.766   121.748     0.300
    24.646   121.016     0.300
    24.631   121.001     0.300
    24.853   121.252     0.300
    23.904   120.857     0.300
    23.696   120.853     0.300
    23.822   120.728     0.300
    23.878   120.684     0.300
    23.510   120.805     0.300
    24.148   120.676     0.300
    23.597   120.678     0.300
    24.348   120.773     0.300
    23.689   120.538     0.300
    24.416   120.761     0.300
    23.099   121.365     0.300
    23.489   120.952     0.300
    23.189   121.017     0.300
    24.248   121.244     0.300
    23.347   121.319     0.300
    23.868   121.598     0.300
    23.965   121.493     0.300
    23.709   121.540     0.300
    24.159   121.623     0.300
    24.310   121.741     0.300
    24.012   120.957     0.300
    23.316   121.451     0.300
    24.445   121.778     0.300
    24.057   120.912     0.300
    24.634   121.716     0.300
    23.992   121.118     0.300
    24.535   121.526     0.300
    24.760   121.588     0.300
    24.329   121.739     0.300
    24.021   121.413     0.300
    24.576   121.844     0.300
    24.419   122.232     0.300
    23.718   121.386     0.300
    23.788   121.563     0.300
    24.121   122.318     0.300
    24.286   122.317     0.300
    23.494   121.345     0.300
    23.192   121.396     0.300
    23.149   121.206     0.300
    24.632   121.118     0.300
    24.777   121.176     0.300
    24.792   120.985     0.300
    24.975   121.488     0.300
    23.095   121.219     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.125   121.639     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.718   121.529     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.050   121.536     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.294   121.445     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.900   121.053     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.270   121.490     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.908   121.538     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.574   121.376     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.725   121.452     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.268   121.675     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.708   121.685     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.637   121.657     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.902   121.523     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.244   121.830     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.906   121.671     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.233   121.803     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.183   121.716     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.164   121.702     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.138   121.713     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.186   121.706     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.121   121.646     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.986   121.626     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.121   121.717     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.057   121.643     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.000   121.678     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.060   121.710     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.043   121.544     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.986   121.560     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.062   121.567     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.686   121.561     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.680   121.504     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.844   121.521     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.853   121.523     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.385   121.376     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.876   121.490     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.864   121.490     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.905   121.525     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.899   121.530     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.891   121.582     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.885   121.585     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.946   121.591     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.687   121.449     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.641   121.417     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.630   121.411     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.556   121.527     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.837   121.584     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.771   121.567     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.820   121.743     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.030   121.540     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.039   121.534     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.860   121.530     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.068   121.643     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.211   121.676     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.192   121.655     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.230   121.481     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.017   121.598     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.838   121.729     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.812   121.813     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.851   121.505     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.160   121.834     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.212   121.678     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.180   121.692     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.833   121.528     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.816   121.707     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.246   121.643     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.162   121.579     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    23.969   121.587     0.000   222.000   222.000
    23.969   121.587     0.000   444.000   444.000
END
